[SOLVED/UPDATED PLUGINS] v3.0.8 and FFGLs??


  • Just installed 3.0.8 on a Catalina Mac and the operating system said all my installed FFGLs "might contain malware" so I trashed them (kept them actually) but does anyone have experience with this? Try reinstalling? If so, in what folder? I actually don't know where they came from...


    Thanks - glad to have a BigSur version ready!

    John

  • Tech Staff

    @jjhp3

    This is not unexpected, Catalina added a number of security measures.

    see: https://community.troikatronix...


  • @jjhp3 said:

    Just installed 3.0.8 on a Catalina Mac and the operating system said all my installed FFGLs "might contain malware" so I trashed them (kept them actually) but does anyone have experience with this? Try reinstalling? If so, in what folder? I actually don't know where they came from...

    I'm sort of surprised that you got this warning if they had already been loaded on your machine. But given the intense security changes on Catalina, I guess I'm not *really* surprised.

    But do they in the end load and work?

    Probably we need to put them through Apple's notarization procedure again. I'll get this taken care of in the next couple of days.

    Best Wishes,
    Mark


  • Really appreciate your quick response. Isadora is like a brother to me... The install removed the FFGls and, while I kept them, I don't know what folder to put them back into to answer Mark's question about function.

    Thanks!


  • @jjhp3 said:

    The install removed the FFGLs

     What? That should never happen. it should leave them undisturbed.

    I don't know what folder to put them back into to answer Mark's question about function.

    Choose Help > Open Plugin Folder > FreeFrame Plugins to open the folder

    Best Wishes,
    Mark


  • @mark Well technically, the installer asked me if I wanted to send them to the trash... so I said yes, then removed from trash to save.


  • @jjhp3

    So you mean the FFGL installer, not the Isadora 3.0.8 installer, yes?

    Best Wishes,
    Mark


  • @mark Hi again. No, I it was the izzy installer I just downloaded from the get it page. Sequence: downloaded, ran installer, and then double-clicked Isadora 3.0.8f09 This dialog came up for all of my FFGL plugins. I said yes to trash. Rescued them. wrote you. Dragged into FreeFrame x64 folder, restarted Isadora and got this/these windows.

    [EDIT BY MARK] You left out a step in your sequence. It was not the Isadora installer, but the act of running Isadora itself that displayed this error.


  • To follow up with some poking around. After replacing old FFGls with the same plugins the program had previously rejected, it still rejected them. I removed everything from FreeFrame_x64 and downloaded the suite from the Troika add-ons page. Placed them in FreeFrame_x64 and started Isadora. One, FFGLHeat.bundle was rejected, but the others were accepted. But no FFGLs are visible in the FFGL toolbox window.

    John


  • @jjhp3 True - not so good at describing this... sorry.


  • @jjhp3 said:

    To follow up with some poking around. After replacing old FFGls with the same plugins the program had previously rejected, it still rejected them. I removed everything from FreeFrame_x64 and downloaded the suite from the Troika add-ons page. Placed them in FreeFrame_x64 and started Isadora. One, FFGLHeat.bundle was rejected, but the others were accepted. But no FFGLs are visible in the FFGL toolbox window.

    I have spent the day on creating a procedure for notarizing the plugins Please be patient and don't put more energy into this until I get back to you.

    Best Wishes,
    Mark


  • @mark OK - sorry, thought it might be helpful. Happy to wait ~


  • @jjhp3 said:

    Please download and install these updated plugins, which have been code signed and notarized according to Apple's security requirements.

    I had to try on Big Sur, but that's at least (if not more) strict than Catalina with regard to security. They worked fine for me.

    Let me know if they work for you.

    Best Wishes,
    Mark


  • @mark Thanks for the quick work! These new FFGLs work great with 3.0.8. - John


  • @jjhp3 said:

    Thanks for the quick work! These new FFGLs work great with 3.0.8. - John

    I've put these plugins on the Add Ons page now.

    Best Wishes,
    Mark